The AccountPasswordRules resource provides methods that allow you to obtain and update account password rules, as well as membership and account rules.
Methods supported
| Method | Description |
|---|---|
| get | GET /restapi/v2.1/accounts/{accountId}/settings/password_rulesGets the password rules for an account. |
| getForUser | GET /restapi/v2.1/current_user/password_rulesGets membership account password rules. |
| update | PUT /restapi/v2.1/accounts/{accountId}/settings/password_rulesUpdates the password rules for an account. |
AccountPasswordRules properties
| Property | Type | Description |
|---|---|---|
expirePassword | string | When true, passwords expire. The default value is false. |
expirePasswordDays | string | The number of days before passwords expire. To use this property, the expirePassword property must be set to true. |
expirePasswordDaysMetadata | accountPasswordExpirePasswordDays | Metadata that indicates whether the expirePasswordDays property is editable. |
lockoutDurationMinutes | string | The number of minutes a user is locked out of the system after three failed login attempts. The default value is 2. |
lockoutDurationMinutesMetadata | accountPasswordLockoutDurationMinutes | Metadata that indicates whether the lockoutDurationMinutes property is editable. |
lockoutDurationType | string | The interval associated with the user lockout after a failed login attempt. Possible values are:
|
lockoutDurationTypeMetadata | accountPasswordLockoutDurationType | Metadata that indicates whether the lockoutDurationType property is editable. |
minimumPasswordAgeDays | string | The minimum number of days after a password is set before it can be changed. This value can be 0 or more days. The default value is 0. |
minimumPasswordAgeDaysMetadata | accountPasswordMinimumPasswordAgeDays | Metadata that indicates whether the minimumPasswordAgeDays property is editable. |
minimumPasswordLength | string | The minimum number of characters in the password. This value must be a number between 6 and 15. The default value is 6. |
minimumPasswordLengthMetadata | accountMinimumPasswordLength | Metadata that indicates whether the minimumPasswordLength property is editable. |
passwordIncludeDigit | string | When true, passwords must include a digit. The default value is false. |
passwordIncludeDigitOrSpecialCharacter | string | When true, passwords must include either a digit or a special character. The default value is false.Note: Passwords cannot include angle brackets ( < >) or spaces. |
passwordIncludeLowerCase | string | When true, passwords must include a lowercase letter. The default value is false. |
passwordIncludeSpecialCharacter | string | When true, passwords must include a special character. The default value is false.Note: Passwords cannot include angle brackets ( < >) or spaces. |
passwordIncludeUpperCase | string | When true, passwords must include an uppercase letter. The default value is false. |
passwordStrengthType | string | The type of password strength. Possible values are:
|
passwordStrengthTypeMetadata | accountPasswordStrengthType | Metadata that indicates whether the passwordStrengthType property is editable. |
questionsRequired | string | The number of security questions required to confirm the user’s identity before the user can reset their password. The default value is 0. |
questionsRequiredMetadata | accountPasswordQuestionsRequired | Metadata that indicates whether the questionsRequired property is editable. |